Page MenuHomePhabricator

UploadWizard UI cannot query categories when the user adds the "category:" prefix
Closed, ResolvedPublic

Description

At the UploadWizard UI when we add Category:foo in the category textbox it says
this category doesn't exist.

this bug is following of Bug 52444


Version: unspecified
Severity: enhancement
Whiteboard: gci2013
URL: http://www.google-melange.com/gci/task/view/google/gci2013/5770741547008000

Details

Reference
bz56273

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:14 AM
bzimport set Reference to bz56273.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.Oct 28 2013, 8:17 PM

I guess the "easy" part of this is that we should make it clear in the UI that the categories shouldn't be prefixed with Category:, or at least we should consider stripping that out automatically when we search (or if we fail to find it?)

I'll label this as a GCI candidate task.

(In reply to comment #1)

I guess the "easy" part of this is that we should make it clear in the UI
that
the categories shouldn't be prefixed with Category:, or at least we should
consider stripping that out automatically when we search (or if we fail to
find
it?)

I think its better to be more accepting than to try to force user into formatting things a certain way.

Qgil added a comment.Nov 27 2013, 7:40 PM

(In reply to comment #1)

I'll label this as a GCI candidate task.

And I will submit it as a GCI if/when there is agreement.

Qgil added a comment.Dec 16 2013, 5:49 AM

(In reply to comment #0)

At the UploadWizard UI when we add Category:foo in the category textbox it
says this category doesn't exist.

(In reply to comment #1)

we should
consider stripping that out automatically when we search (or if we fail to
find it?)

This, instead of forcing the user to not type "Category:"?

(In reply to comment #4)

(In reply to comment #0)

At the UploadWizard UI when we add Category:foo in the category textbox it
says this category doesn't exist.

(In reply to comment #1)

we should
consider stripping that out automatically when we search (or if we fail to
find it?)

This, instead of forcing the user to not type "Category:"?

I said we shouldn't force users to type "Category:" in input category text box! and system should accept with out "Category:" only for that text box.

Qgil added a comment.Dec 21 2013, 7:31 AM

As said, as soon as there is a clear specification I will create the GCI task. We need more tasks!

User should be able to type:
*Foo
*Category:Foo
*Localized namespaces (e.g. Catégorie:Foo if a french wiki)

And have the exact same behaviour. (For example like in [[Special:RandomInCategory]])

One gotcha to watch out for is things like:
*User:Foo

Which should still be interpreted as Category:User:Foo

Change 103345 had a related patch set uploaded by Theopolisme:
Allow category prefix when entering categories

https://gerrit.wikimedia.org/r/103345

Change 103345 merged by jenkins-bot:
Allow category prefix when entering categories

https://gerrit.wikimedia.org/r/103345

Should be fixed now!

Gilles moved this task from Untriaged to Done on the Multimedia board.